Subject: Re: Getting X on Linux/SGI

From: [email-masked] (Larry McVoy)
Date: Fri, 20 Jun 1997 09:40:27 -0700

: Personally, I wouldn't buy an O2 to run Linux.

OK, we won't try and sell you one.  What about the people that would buy
an O2 to run Linux?  

You != <the entire customer base>.

---

From: Mike Shaver <[email-masked]>
Date: Fri, 20 Jun 1997 12:51:10 -0400 (EDT)

> You != <the entire customer base>.

FWIW, there's a _lot_ of interest at my company in having one OS that
runs on all our boxes (Intel, SP*RC, Alpha, now MIPS), and Linux is
the preferred choice.  The reasons don't necessarily have anything
to do with disliking the native OS (except for Solaris, perhaps), but
we _would_ like:
- common file structure and apps
- source compatibility
- access to source for the firewall machines

If the Solaris binary compatibility was up to hosting Oracle and the
Netscape WWW servers[*], we'd probably have already gone that route on
all but the 4d monster.

I know that having Linux on SGI hardware would make it much easier to
`sell' it into our environment, which includes solutions we deliver to
clients.  (And I don't get to make all that many purchasing
decisions. =) )

[*] At the DevCon last week, the question of support for Linux was
raised at the executive Q&A panel.  There was a show of hands, and a
_lot_ of people in the audience were interested in seeing SuiteSpot on
Linux; Netscape's asked me to write them a little paper explaining why
`people who aren't willing to pay for Linux would be willing to pay
for SuiteSpot', and I'll send a copy around here when it's done.

Mike

-- 
#> Mike Shaver ([email-masked]) Ingenia Communications Corporation 
#>              Commando Developer - Whatever It Takes
#>                                                                     
#> "See, you not only have to be a good coder to create a system like
#>    Linux, you have to be a sneaky bastard too." - Linus Torvalds

---

From: [email-masked] (richard offer)
Date: Fri, 20 Jun 1997 09:59:34 -0700

* $ from lm@neteng at "20-Jun: 9:40am" | sed "1,$s/^/* /"
*
*
* : Personally, I wouldn't buy an O2 to run Linux.
*
* OK, we won't try and sell you one.  What about the people that would buy
* an O2 to run Linux?
*
* You != <the entire customer base>.
*

This is once again turning into an advocacy war.

We all at some point want to see the same thing, Linux on SGI. Some people are
raging Linux advocates that think its the best thing since sliced bread and
that all other OSs are inherently a Bad Thing[TM], others think it would just
be neat/interesting thing to do. Others may even think that it could possible
damage our competative advantage if we make too much of our hardware details
public.

Unfortunetly, the people that maybe able to help us often fall into the last
category.

If you want a favour from someone you don't start my telling them that what
they've worked on for the last x years is dead and your way is the future.

richard---pragmatist.

_________________________________________________________________________

A Guest Signature by Michael Berube <dxc4 at po.cwru.edu>

    "Yes, we plot no less than the destruction of the West. Just the
    other day a friend and I came up with the most pernicious academic
    scheme to date for toppling the West: He will kneel behind the West
    on all fours. I will push it backwards over him."